Subject: Re: bug#74792: 29.2.50; goto-address-mode should support RET in special-mode buffers

From: Spencer Baugh <[email-masked]>
Date: Wed, 11 Dec 2024 12:39:59 -0500

On Wed, Dec 11, 2024, 12:09 PM Eli Zaretskii <[email-masked]> wrote:

> > Cc: [email-masked]
> > Date: Wed, 11 Dec 2024 11:10:53 -0500
> > From:  Spencer Baugh via "Bug reports for GNU Emacs,
> >  the Swiss army knife of text editors" <[email-masked]>
> >
> >
> > goto-address-mode binds C-c RET to goto-address-at-point when point is
> > on a URL or email address.  In special-mode buffers (or maybe any
> > read-only buffer?) it should also bind RET while point is on the URL or
> > email address.
>
> I don't think it's a good idea, since many special-mode descendants
> bind RET to useful commands.  For goto-address-at-point to override
> that would be a nuisance, I think.
>

True, but when I've specifically moved point to a URL it is usually because
I want to follow the URL, not do whatever is bound to RET in the mode.

But this sounds like something that may differ between users, so perhaps we
could add this controlled by a defcustom?